FileMaker Files
Recover FileMaker file
Requires FileMaker Server 20.3 or later. Starts an async file recovery operation. Returns a processId to track progress.
Request Body
application/json
POST /otto/api/fm-file/recover Request body
bypass?boolean
Bypass startup script and layout (requires admin username/password)
encryptionKey?string
Optional encryption key
generate?string
How to generate recovered data: rebuild (default), datablocks, or asis
Value in
"rebuild" | "datablocks" | "asis"keepCaches?boolean
Keep caches
password?string
FileMaker password
pluginFolder?string
Path to plugin folder for recovery
rebuildIndex?string
When to rebuild indexes: now (default), later, or false (skip)
Value in
"now" | "later" | "false"skipSchema?boolean
Skip schema recovery
skipStructure?boolean
Skip structure recovery
username?string
FileMaker username
sourceFilePath*string
File path to recover in the FileMaker format
targetFilePath*string
Target path to recover to in the FileMaker format
Response Body
application/json
application/json
curl -X POST "https://your.server.net/otto/api/fm-file/recover" \ -H "Content-Type: application/json" \ -d '{ "sourceFilePath": "string", "targetFilePath": "string" }'{
"messages": [
{
"code": 0,
"text": "ok"
}
],
"response": {}
}{
"messages": [
{
"code": 18011,
"text": "OttoFMS sample error"
}
],
"response": {}
}